View Issue Details

IDProjectCategoryView StatusLast Update
0016071LazarusIDEpublic2017-10-23 01:14
ReporterMarelisAssigned ToLuiz Americo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntuOS Version9.10
Product Version0.9.29 (SVN)Product Build24123 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016071: TBitBtn: 'Margin' from 1 to -1 will not refresh button with glyph immediately.
DescriptionIf I change the value of property 'Margin' from 1 to -1, so fails to change view glyph (centering) immediately. Change occurs only when re-opened the project in Lazarus IDE.

If I change the value of property 'Margin' of -1 to 1, so the change take effect immediately.
TagsNo tags attached.
Fixed in Revision28647
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Relationships

related to 0001845 resolvedLuiz Americo GTK doesn't handle Spacing = -1 with buttons 

Activities

Marelis

2010-12-28 09:57

reporter   ~0044640

It works perfectly! Thanks!

Issue History

Date Modified Username Field Change
2010-03-21 22:02 Marelis New Issue
2010-03-21 22:02 Marelis Widgetset => GTK 2
2010-08-08 20:46 Luiz Americo Status new => assigned
2010-08-08 20:46 Luiz Americo Assigned To => Luiz Americo
2010-12-08 14:36 Luiz Americo Fixed in Revision => 28647
2010-12-08 14:36 Luiz Americo LazTarget => 0.9.30
2010-12-08 14:36 Luiz Americo Status assigned => resolved
2010-12-08 14:36 Luiz Americo Fixed in Version => 0.9.29 (SVN)
2010-12-08 14:36 Luiz Americo Resolution open => fixed
2010-12-08 14:36 Luiz Americo Target Version => 0.9.30
2010-12-28 09:57 Marelis Status resolved => closed
2010-12-28 09:57 Marelis Note Added: 0044640
2017-10-23 01:14 Juha Manninen Relationship added related to 0001845